Bug 469952 - Review Request: dopewars - a drug dealing game
Review Request: dopewars - a drug dealing game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 16:13 EST by Susi Lehtola
Modified: 2008-11-22 11:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-11 21:51:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2008-11-04 16:13:16 EST
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/dopewars.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/dopewars-1.5.12-1.src.rpm

Description:

Based on John E. Dell's old Drug Wars game, dopewars is a simulation of an    
imaginary drug market.  dopewars is an All-American game which features       
buying, selling, and trying to get past the cops!                              
                                                                                
The first thing you need to do is pay off your debt to the Loan Shark. After   
that, your goal is to make as much money as possible (and stay alive)! You     
have one month of game time to make your fortune.                              

dopewars supports multiple players via. TCP/IP. Chatting to and fighting
with other players (computer or human) is supported; check the command line
switches (via dopewars -h) for further information.
Comment 1 Susi Lehtola 2008-11-04 16:27:05 EST
New release fixes build in mock:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/dopewars.spec
http://theory.physics.helsinki.fi/~jzlehtol/rpms/dopewars-1.5.12-2.src.rpm

rpmlint output:
dopewars.x86_64: E: zero-length /var/lib/games/dopewars.sco
dopewars.x86_64: E: non-standard-executable-perm /usr/bin/dopewars 02755
dopewars-sdl.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 2 errors, 1 warnings.
Comment 2 Gwyn Ciesla 2008-11-06 14:50:20 EST
rpmlint:

dopewars.i386: E: zero-length /var/lib/games/dopewars.sco

Expected.

dopewars.i386: E: non-standard-executable-perm /usr/bin/dopewars 02755
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

Acceptable.

dopewars-sdl.i386: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

Probably fine.

Other issues on full review:

Source0: must include url:
https://fedoraproject.org/wiki/Packaging/SourceURL

Otherwise ok.
Comment 4 Gwyn Ciesla 2008-11-07 13:22:22 EST
Looks good.

APPROVED.
Comment 5 Susi Lehtola 2008-11-07 16:05:08 EST
New Package CVS Request
=======================
Package Name: dopewars
Short Description: A drug dealing game
Owners: jussilehtola
Branches: F-10 F-9
InitialCC:
Comment 6 Kevin Fenzi 2008-11-07 16:28:39 EST
cvs done.
Comment 7 Fedora Update System 2008-11-08 07:58:06 EST
dopewars-1.5.12-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/dopewars-1.5.12-4.fc9
Comment 8 Fedora Update System 2008-11-08 07:59:00 EST
dopewars-1.5.12-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/dopewars-1.5.12-4.fc10
Comment 9 Fedora Update System 2008-11-11 21:51:50 EST
dopewars-1.5.12-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-11-22 11:59:52 EST
dopewars-1.5.12-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.